Bug 981290 - Script torquebox_eap_overlay.rb does not configure polyglot cache-container properly
Script torquebox_eap_overlay.rb does not configure polyglot cache-container p...
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Browning
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 07:56 EDT by Tomas Repel
Modified: 2013-08-09 09:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The standalone-full.xml and standalone-full-ha.xml configuration files have to be modified differently during TorqueBox installation. The torquebox_eap_overlay.rb installation script identifies the configuration file it is modifying based on the presence of the "web" cache-container. Because this cache-container is present in both configuration files since Red Hat JBoss Enterprise Application Platform 6.1.0, the standalone-full.xml file is modified the same way as the standalone-full-ha.xml file, which leads to missing configuration of the "polyglot" cache-container. To work around the issue, rename the "web" cache-container in the standalone-full.xml file before executing the torquebox_eap_overlay.rb script. Having no cache-container called "web" in the standalone-full.xml file will ensure that it is updated properly. After that, you can rename the former "web" cache-container back to its original name.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 09:34:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-134 Major New Script torquebox_eap_overlay.rb does not configure polyglot cache-container properly 2014-02-17 10:39:35 EST

  None (edit)
Description Tomas Repel 2013-07-04 07:56:58 EDT
Description of problem:

If using torquebox_eap_overlay.rb script for Torquebox installation, the polyglot cache-container is not configured properly. This holds for standalone-full.xml. In add_cache method there is an `if` statement that assumes that if cache-container with name "web" is present, then it deals with HA configuration (standalone-full-ha.xml), but since EAP 6.1.0 cache-container named "web" is also present in non-HA configurations (standalone-full.xml). That's why the modifications intended to be used for HA configurations only are done for non-HA configurations as well and modifications needed for non-HA configurations ("polyglot" cache-container config) are skipped.

Version-Release number of selected component (if applicable):

WFK 2.3.0.CR2
EAP 6.1.0
TorqueBox 2.3.2.redhat.1

How reproducible:

Always.

Steps to Reproduce:
1. use torquebox_eap_overlay.rb to install TorqueBox on top of EAP 6.1.0
2. open standalone-full.xml

Actual results:

The "web" cache-container gets aliases "torquebox" and "polyglot", which is not what we want. Configuration of "polyglot" cache-container that should have those aliases is missing completely.

Expected results:

"polyglot" cache-container configuration is present in standalone-full.xml with the correct aliases.
Comment 1 Ben Browning 2013-07-08 09:15:50 EDT
The CCWR text looks good to me.
Comment 2 Petr Penicka 2013-07-08 10:34:25 EDT
Edited doc text for WFK 2.3 release notes.

Note You need to log in before you can comment on or make changes to this bug.